Subject: Re: [Cbor] Adoption call for CBOR Sequences

From: Joe Hildebrand <[email-masked]>
Date: Thu, 1 Aug 2019 11:53:30 -0600

I have read this document and support it being adopted.  

My existing code is a close match for this already.  I have to double-check that I'm not throwing an error on zero-length output, but I think that the doc is correct that zero-length inputs should be valid.

The end-of-file language in section 2 might need to be tweaked slightly as being provided by the external framing mechanism (be it a file or a network stream or what-have-you).

I like section 4.2, but would want to make it a little more clear that it is non-normative protocol design advice akin to section 3 of RFC 7049.

— 
Joe Hildebrand

> On Jul 29, 2019, at 8:40 AM, Jim Schaad <[email-masked]> wrote:
> 
> This starts a two week adoption call for draft-bormann-cbor-sequence ending
> 12 August 2019.
> 
> This document describes the Concise Binary Object Representation (CBOR)
> Sequence format and associated media type "application/cbor-seq".  A CBOR
> Sequence consists of any number of encoded CBOR data items, simply
> concatenated in sequence.
> 
> CBOR Chairs
> Francesca and Jim
> 
> 
> _______________________________________________
> CBOR mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/cbor

---

From: Francesca Palombini <[email-masked]>
Date: Fri, 2 Aug 2019 12:00:19 +0000

(Chair hat off)

I support adoption of this document as well.

Francesca

On 1 August 2019 at 19:53:49 CEST, Joe Hildebrand <[email-masked]> wrote:
I have read this document and support it being adopted.

—
Joe Hildebrand

---

From: Jim Schaad <[email-masked]>
Date: Tue, 13 Aug 2019 07:59:54 -0700

This concludes the adoption call.  All response was positive so the document
has been adopted.

Carsten, please re-publish using draft-ietf-cbor-sequence.

Jim & Francesca

-----Original Message-----
From: CBOR <[email-masked]> On Behalf Of Jim Schaad
Sent: Monday, July 29, 2019 7:41 AM
To: [email-masked]
Subject: [Cbor] Adoption call for CBOR Sequences

CBOR Chairs
Francesca and Jim